<?
require_once 'core/system.php';
echo only_reg();
$header = 'Комната клана';
require_once 'core/head.php';

if(empty($udata[clan])){echo"Вы не в клане!"; include('core/foot.php'); exit;}

$req = mysql_query("SELECT usr FROM `user` where `clan`='$udata[clan]'");
$kk=mysql_num_rows($req);
$req = mysql_query("SELECT * FROM `clan` where `lider`='$udata[clan]'");
$avto=mysql_num_rows($req);
if($avto==1){
$clan = mysql_fetch_array($req);
}else{
echo"Отсутствие такого клана! Обратитесь к администрации игры за помощью!";include('core/foot.php'); exit;
}

switch($_GET[go]) {

default:
//Модификация, кол-во опыта на следующий уровень
if($clan[level] == 0){$o = 750000;$nlvl = $o-$clan[exp];}
if($clan[level] == 1){$o = 2500000;$nlvl = $o-$clan[exp];}
if($clan[level] == 2){$o = 4000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 3){$o = 6000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 4){$o = 10000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 5){$o = 15000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 6){$o = 21000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 7){$o = 28000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 8){$o = 36000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 9){$o = 45000000;$nlvl = $o-$clan[exp];}
if($clan[level] == 10){$o = 100000000;$nlvl = $o-$clan[exp];}

$reit=($clan[exp]/50000)+($kk/10)+$clan[money]/2000;
$reiting = round($reit, 2);
$ref=rand(1000,9999);
$procent=round(($clan[exp]/$o)*100,2);
mysql_query("UPDATE `clan` SET `reiting` = '$reiting' WHERE `lider` = '$udata[clan]'");

echo"<center><font color='#f1d99a'><b>Комната клана</b></font></center></div><div class='menu'>";
if(empty($clan[logo])){echo"<img class='float-left' src='pic/clan/logo/0.jpg'/>";}else{echo"<img class='float-left' src='pic/clan/logo/$clan[logo]'/>";}
echo"<img src=\"pic/clan/$clan[emblema]\" alt=\"\"/> <b>$clan[name]</b></br>
<img src=\"pic/up.png\" alt=\"\"/> Уровень: <b>$clan[level]</b></br>
<img src=\"pic/clan/exp.png\" alt=\"\"/> Опыт: <b>$clan[exp]</b> <font color='grey'>($procent%)</br></font>";
echo"</div><div class='menu'>Рейтинг: <b>$reiting</b> <a href=\"library.php?id=31&lb=list_library\"> [i]</a><br/>";
echo"<b>$clan[desk]</b><br/>";
echo"Капитал: <img src=\"pic/bazar.gif\" alt=\"\"/> <b>$clan[money]</b><br/>";
echo"Бойцов: <b>$kk</b><br/>";

echo'</div>';
echo'<div class="menuList">';
if($clan[lider]==$log){echo"<li><a href=\"clanroom.php?go=adm\">Админка клана</a></li>";}
if($set[dclan]==general and $udata[clan]==$clan[lider]){echo"<li><a href=\"home.php?mod=toclan\">Пригласить игрока</a></li>";}
if(!empty($clan[site])){
echo"<li><a href=\"$clan[site]\">Сайт клана</a></li>";}
echo"<li><a href=\"clanroom.php?go=bankadd\">Положить денег</a></li>";
if($clan[set_m]==0){echo"<li><a href=\"clanroom.php?go=my\">Взять денег</a></li>";}
echo"<li><a href=\"clanroom.php?go=logs\">Лог операций с деньгами</a></li>";
echo"<li><a href=\"clanroom.php?go=chat\">Стена клана </a></li>";
echo"<li><a href=\"clanroom.php?go=rass\"> Рассылка</a></li>";
if($udata[clan] !== $udata[usr]){echo"<li><a href=\"clanroom.php?go=ask\">Покинуть клан</a></li>";}
////////////////////////////Состав///////////
echo'</div><div class=evento><div class="menu">';
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") {$_GET[page] = 0;}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0"){$i = 1;}else{$i = ($_GET[page]*10)+1;}
echo"<b>Еще в клане:</b><br/>";
$res = mysql_query("SELECT * FROM `users` where `clan`='$clan[lider]'");
$req = mysql_query("SELECT * FROM `users` where `clan`='$clan[lider]' ORDER BY dolz DESC,clanexp DESC  LIMIT $num, 10");
$avto=mysql_num_rows($req);
$res=mysql_num_rows($res);
$puslap = floor($res/10);
$clan = mysql_fetch_array($req);
if($avto>0){
While($clan = mysql_fetch_array($req))
{
if($clan[dolz] == general){$dolzh = "[Генерал] ";}
if($clan[dolz] == lider){$dolzh = "[Лидер] ";}
if($clan[dolz] != lider && $clan[dolz] != general){$dolzh = "[Рядовой]";}
echo"$i. <a href=\"search.php?nick=$clan[usr]&go=go\">$clan[usr]</a> $dolzh - <small> $clan[lvl] уровень</small><br/>Опыта принес: $clan[clanexp]";
echo"</br>";
$i++;}
echo "</div><div class='menu'>";
if($_GET[page] > 0){echo "<a href=\"clanroom.php?page=$back\">< назад </a>";}
if($_GET[page] < $puslap){echo "<a href=\"clanroom.php?page=$next\">далее ></a>";}
echo"<b>Всего соклановцев: $kk</b><br/>";}else{
echo"<b>Нет соклановцев</b><br/>";}
break;

case 'chat':
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
echo'<center><b>Стена</b></center></div>';
$req = mysql_query("SELECT * FROM `clanchat` where `clan`='$udata[clan]' ORDER BY id DESC LIMIT $start,10");
$avto=mysql_num_rows($req);
if($avto==0){echo"<div class='menu'>Стена пуста</div>";}else{
while($chat = mysql_fetch_array($req))
{
echo"<div class='menu'><a href=\"search.php?go=go&nick=$chat[usr]\">$chat[usr]</a>: ".smiles($chat['msg'])."</div>";}}
echo "<div class='menu'>";
echo "<form action=\"clanroom.php?go=add\" method=\"post\">
<input name=\"msg\" maxlength=\"200\"/><br/>";
echo '<input type="submit" value="Написать" /></form>';
echo"<br/><center><a href=\"clanroom.php?\">Назад</a></center></div>";

break;
case 'adm':
echo'</div><div class="menuList">';
if($udata[clan] = "$udata[usr]"){echo"<li><a href=\"clanroom.php?go=desk\">Вывесить объявление</a></li>
<li><a href=\"clanroom.php?go=site\">Вывесить сайт клана</a></li>";
if($clan[set_m]==0){
echo"<li><a href=\"clanroom.php?go=set_m\">Выкл: Взять монет </a></li>";
}else{
echo"<li><a href=\"clanroom.php?go=set_m\">Вкл: Взять монет</a></li>";
}
if($clan[set_d]==0){
echo"<li><a href=\"clanroom.php?go=set_d\">Вкл. свободный доступ</a></li>";}else{
echo"<li><a href=\"clanroom.php?go=set_d\">Откл. свободный доступ</a></li>";}
echo"
<li><a href=\"clanroom.php?go=max\">Ввести ограничение</a></li>
<li><a href=\"clanroom.php?go=dolz\">Назначить должности</a></li>
<li><a href=\"clanroom.php?go=clear\">Очистить стену</a></li>
<li><a href=\"home.php?mod=toclan\">Пригласить игрока</a></li>
<li><a href=\"clanroom.php?go=admin\">Администрация</a></li></div></div><div class='menu'>
<a href=\"clanroom.php?\">Назад</div></a>";
}

break;
case 'del':
if($udata[clan] == $udata[usr]){echo"Вы лидер клана!</br><a href=\"clanroom.php?\">Назад</a>";}else{echo"Вы покинули клан!</br>
<a href=\"index.php?\">Назад</a></br>";
mysql_query("UPDATE `user` SET `clan` = '' WHERE `nick` = '$log'");
mysql_query("UPDATE `user` SET `clanexp` = '0' WHERE `nick` = '$log'");
mysql_query("UPDATE `set` SET `dclan` = '', `cid`='' WHERE `nick` = '$log'");}
break;

case 'ask':
echo"Вы действительно хотите покинуть клан!</br><a href=\"clanroom.php?go=del\">Да</a></br>
<a href=\"clanroom.php?\">Нет</a>";
break;

case 'site':
if($udata[clan]!==$log){}
if(empty($_POST[site])){
echo "<form action=\"clanroom.php?log=".$log."&pas=".$pas."&go=site\" method=\"post\">Адрес:<br/>";
echo "<input name=\"site\" maxlength=\"100\" value=\"http://\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
$_POST[site] = htmlspecialchars(stripslashes(addslashes($_POST['site'])));
mysql_query("UPDATE `clan` SET `site` = '$_POST[site]' WHERE `lider` = '$udata[clan]'");

echo"Клан сайт установлен!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
}
break;

case 'desk':
if($udata[clan]!==$log){}
if(empty($_POST[text])){
echo "<form action=\"clanroom.php?log=".$log."&pas=".$pas."&go=desk\" method=\"post\">Текст обьявления:<br/>";
echo "<input name=\"text\" maxlength=\"200\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';}else{
mysql_query("UPDATE `clan` SET `desk` = '$_POST[text]' WHERE `lider` = '$udata[clan]'");
echo"Обьявление размещено!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";}
break;

case 'rass':
if($udata[clan]!==$log){echo"У вас нет прав доступа!</br><a href=\"clanroom.php?\">Назад</a>";include('core/foot.php');exit;}
if(empty($_POST[txt])){
echo "<form action='clanroom.php?go=rass' method='POST'>";
echo "Текст письма:<br/>";
echo "<textarea name=\"txt\" rows=5 cols=15 wrap=\"off\"></textarea><br/><input type=\"submit\" value=\"Разослать\"/></form>";}else{
$time = date("H:i d.m.y");
$text = htmlspecialchars($_POST[txt]);
$req = mysql_query("SELECT * FROM `user` where `clan`='$udata[clan]' and `nick`!='$udata[clan]'");
$avto=mysql_num_rows($req);
if($avto>=1){
While($clan = mysql_fetch_array($req))
{
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Клановая рассылка', `user_to` = '$clan[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}echo"$avto писем отправлено!";
}}
break;

case 'add':

$msg=$_POST[msg];
$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|su|org|net|info|com)", "Реклама запрещена", $msg);
$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("\\","",$msg);
$msg=str_replace("/","",$msg);
$msg=str_replace("|","",$msg);
$msg=str_replace("$","",$msg);
$msg=str_replace("&","",$msg);
$msg=str_replace("<","",$msg);
$msg=str_replace(">","",$msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
/////////////////

mysql_query("INSERT INTO clanchat SET nick='$log',clan='$udata[clan]',msg='$msg'");
echo"Сообщение добавлено!";
echo"<br/><a href=\"clanroom.php?go=chat\">Продолжить</a>";
break;


case 'bankadd':
if(empty($_POST[kol])){
echo "<form action=\"clanroom.php?log=".$log."&pas=".$pas."&go=bankadd\" method=\"post\">Сумма:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
if($_POST[kol]<=0){echo'Введена слишком маленькая сумма!';include('core/foot.php'); exit;}
if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include('core/foot.php'); exit;}
if($_POST[kol]>$udata[money]){echo"У вас нет такой суммы!"; include('core/foot.php'); exit;}

mysql_query("INSERT INTO clanlog SET clan='$udata[clan]',msg='$log положил $_POST[kol] монет.', `log` = 'down', `user` = '$log',  time= '$time'");

$clan[money]=$clan[money]+$_POST[kol];
$udata[money]=$udata[money]-$_POST[kol];

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$udata[clan]'");
mysql_query("UPDATE `user` SET `money` = '$udata[money]' WHERE `nick` = '$log'");

echo"Вы положили $_POST[kol] монет!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";}
break;

case 'max':
$req = mysql_query("SELECT * FROM `clan` where `lider`='$udata[clan]'");
$avto=mysql_num_rows($req);
if($udata[clan]!=$udata[usr]){echo"Доступ закрыт!";}else{
if(empty($_POST[max])){
echo "<form action=\"clanroom.php?log=".$log."&pas=".$pas."&go=max\" method=\"post\">Сумма:<br/>";
echo "<input name=\"max\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
$_POST[max] = htmlspecialchars(stripslashes(addslashes($_POST['max'])));
if($_POST[max]>$clan[money]){echo'Введена слишком большая сумма .$clan[money].!';include('core/foot.php'); exit;}
if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include('core/foot.php'); exit;}
mysql_query("UPDATE `clan` SET `max` = '$_POST[max]' WHERE `lider` = '$udata[clan]'");
echo"Вы ввели ограничение на $_POST[max] монет!";}}
echo"<a href=\"clanroom.php?\">Назад</a>";
break;

case 'my':
$dol = mysql_query("SELECT * FROM `set` where `nick`='$log'");
$dl = mysql_fetch_array($dol);
$rel = mysql_query("SELECT * FROM `limit` where `nick`='$log'");
$avol=mysql_num_rows($rel);
$rev = mysql_query("SELECT * FROM `clan` where `lider`='$udata[clan]'");
$avo=mysql_fetch_array($rel);
$req = mysql_query("SELECT * FROM `clanlog` where `user`='$log' and `log`='down'");
$avto=mysql_num_rows($req);
$my = mysql_fetch_array($req);
$time = time();
if($clan[set_m]==1 and $udata[clan]!=$log){echo"Доступ закрыт!";}else{
if(empty($_POST[kol])){
echo "<form action=\"clanroom.php?log=".$log."&pas=".$pas."&go=my\" method=\"post\">Сумма:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
$ost = round(24-($time-$avo[clan])/3600, 2);
if($time<($avo[clan]+86500) and $dl[dclan] != 'lider'){echo"Деньги можно брать раз в сутки!Осталось $ost часов ";include('core/foot.php'); exit;}
if($_POST[kol]>$clan[max]){echo"Вы привысили ограничение $clan[max] монет!";include('core/foot.php'); exit;}
if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include('core/foot.php'); exit;}
if($_POST[kol]>$clan[money]){echo"У клана нет такой суммы!$clan[money]"; include('core/foot.php'); exit;}
if($clan[set_m]==1){echo"Нельзя брать"; include('core/foot.php'); exit;}
mysql_query("INSERT INTO clanlog SET clan='$udata[clan]',msg='$log забрал $_POST[kol] монет.', `log` = 'down', `user` = '$log',  time= '$time'");
if($avol==0){mysql_query("INSERT INTO `limit` SET `nick`='$log'");}
$clan[money]=$clan[money]-$_POST[kol];
$udata[money]=$udata[money]+$_POST[kol];

mysql_query("UPDATE `clan` SET `money` = '$clan[money]'  WHERE `lider` = '$udata[clan]' ");
mysql_query("UPDATE `user` SET `money` = '$udata[money]' WHERE `nick` = '$log'");
mysql_query("UPDATE `limit` SET `clan` = '$time' WHERE `nick` = '$log'");
echo"Вы забрали $_POST[kol] монет!";
}}
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
break;

case 'logs':
echo'<b>Лог операций с деньгами:</b>';
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
$req = mysql_query("SELECT * FROM `clanlog` where `clan`='$udata[clan]' ORDER BY id DESC LIMIT $start,15");
$avto=mysql_num_rows($req);
if($avto==0){echo"<br/>Лог пуст";}else{
while($chat = mysql_fetch_array($req))
{echo"<br/>$chat[msg]";}}
if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 15).'&log='.$log.'&pas='.$pas.'&go=logs">Назад</a> ';}
if ($avto > $start+15) {echo ' <a href="clanroom.php?start='.($start + 15).'&log='.$log.'&pas='.$pas.'&go=logs">Далее</a>';}
break;

case 'who':
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]'");
////////////////////////////
$cl = mysql_fetch_array($req);
echo"<b>$cl[name]</b>:<br/>";
echo "<b>1. <a href=\"search.php?nick=$cl[lider]&go=go\">$cl[lider]</a> [Лидер]</b>";
////////////////////////////
$req = mysql_query("SELECT * FROM `user` where `clan`='$clan[lider]' and `nick`!='$clan[lider]' ORDER BY dolz DESC,clanexp DESC");
$avto=mysql_num_rows($req);
$clan = mysql_fetch_array($req);
$avto=$avto+1;
$i=2;
if($avto>=1){
While($clan = mysql_fetch_array($req))
{
echo"</br>$i. <a href=\"search.php?nick=$clan[usr]&go=go\">$clan[nick]</a><small> [$clan[level] ур. ";$w = round($clan[clanexp]/1000,1);
if($clan[clanexp] > 1000) {echo' '.$w.'K оп.]</small>';}else{echo"$clan[clanexp] оп.]</small>";}
if($clan[dolz] == general){echo" <b>G</b> ";}
if($cl[lider] == $udata[nick])
{echo" [<a href=\"home.php?mod=outclan&usr=$clan[nick]\">искл.</a>]";}
$i++;}
echo"<br/><b>Всего соклановцев: $avto</b><br/>";}else{
echo"<b>Нет соклановцев</b><br/>";}
break;

case 'set_m':
if($udata[clan]!==$log){}
if($clan[set_m]==0){$on=1;}else{$on=0;}
mysql_query("UPDATE `clan` SET `set_m` = '$on' WHERE `lider` = '$udata[clan]'");
echo"Изменения сохранены!<br/>";
echo"<a href=\"clanroom.php?go=adm\">Продолжить</a>";
break;

case 'clear':
if($udata[clan]!==$log){}
if($clan[set_m]==0){$on=1;}else{$on=0;}
mysql_query("UPDATE `clan` SET `set_m` = '$on' WHERE `lider` = '$udata[clan]'");
mysql_query("DELETE FROM clanchat WHERE `clan` = '$udata[clan]'");
echo"Изменения сохранены!<br/>";
echo"<a href=\"clanroom.php?go=adm\">Продолжить</a>";
break;

case 'set_d':
if($udata[clan]!==$log){}
if($clan[set_d]==0){$on=1;$otv=включен;}else{$on=0;$otv=отключен;}
mysql_query("UPDATE `clan` SET `set_d` = '$on' WHERE `lider` = '$udata[clan]'");
echo"Свободный доступ $otv!<br/>";
echo"<a href=\"clanroom.php?go=adm\">Продолжить</a>";
break;

case 'admin':
// Супервайзоры
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]'");
if (mysql_num_rows($req)) {
echo '<font color="#ffc22b">Лидер:</div></font><div class="menu">';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[lider]&go=go\"><font color='#ff5445'>$res[lider]</a></b></font><br/>";
$i++;}}

// Генералы
$req = mysql_query("SELECT * FROM `user` WHERE `dolz` = 'general' and `clan`='$udata[clan]'");
if (mysql_num_rows($req)) {
echo'</div><div class="menu"><font color="#ffc22b">Генералы:</font></div><div class="menu">';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&go=go\">$res[nick]</a></b> [<a href=\"clanroom.php?go=down&nick=$res[nick]\">снять</a>]<br/>";
$i++;}}
echo"</div><div class='menu'><a href=\"clanroom.php?\">Назад</a>";
break;

case 'down':
if(empty($_GET[nick])){echo "Игрок не выбран!";}else{
$req = mysql_query("SELECT * FROM `user` WHERE `nick` = '$_GET[nick]' and `clan` = '$udata[clan]'");
$ite = mysql_num_rows($req);
if($ite > 0 ){echo "Игрок $_GET[nick] снят с должности генерала!";
mysql_query("UPDATE `user` SET `dolz` = 'user' WHERE `nick` = '$_GET[nick]'");}
else{echo"Ошибка";}}
break;

case 'dolz':
if(empty($_POST[us])){
echo "Назначение генерала</br><form action='clanroom.php?go=dolz' method='POST'>";
echo"Введите ник:<br/>
<input class='input' type=\"text\" value=\"\" size=\"20\" name=\"us\"/><br/>";
echo '<input class="button" type="submit" value="Назначить" /></form>';
}else{
$_POST[us] = htmlspecialchars(stripslashes(addslashes($_POST['us'])));
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[us]' and `clan` = '$udata[clan]'");
$ite = mysql_num_rows($req);
$item = mysql_fetch_array($req);
if($ite == 0 ){echo'Должность не назначена, игрок пока не может быть генералом! <br/>';}else{
if($item[clan] = $udata[clan]){mysql_query("UPDATE `users` SET `dolz` = 'general' WHERE usr='$_POST[us]' LIMIT 1");
echo'Должность назначена! <br/>';}else{echo'Должность не назначена, игрок находится не в вашем клане!<br/>';}}}
echo"<a href='clanroom.php?'>Назад</a>";
break;
}

include('core/foot.php');
?>